com.gisgraphy.domain.repository

## Class ImporterStatusListDao

- java.lang.Object
- - com.gisgraphy.domain.repository.ImporterStatusListDao

- All Implemented Interfaces:
    IImporterStatusListDao

      @Repository
      public class ImporterStatusListDao
      extends Object
      implements IImporterStatusListDao

  A data access object for `ImporterStatus`
  Author:
    David Masclet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IMPORTER_STATUS_LIST_FILENAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImporterStatusListDao()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `delete()` Delete the saved list of `ImporterStatusDto`
    `List<ImporterStatusDto>` | `get()`
    `String` | `getSavedFilePath()`
    `List<ImporterStatusDto>` | `saveOrUpdate(List<ImporterStatusDto> importerStatusDtoList)`
    `void` | `setImporterConfig(ImporterConfig importerConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMPORTER_STATUS_LIST_FILENAME

          public static final String IMPORTER_STATUS_LIST_FILENAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImporterStatusListDao

          public ImporterStatusListDao()

  - ### Method Detail

    - #### getSavedFilePath

          public String getSavedFilePath()

      Specified by:
        `getSavedFilePath` in interface `IImporterStatusListDao`
      Returns:
        the file path where data will be saved

    - #### saveOrUpdate

          public List<ImporterStatusDto> saveOrUpdate(List<ImporterStatusDto> importerStatusDtoList)

      Specified by:
        `saveOrUpdate` in interface `IImporterStatusListDao`
      Parameters:
        `importerStatusDtoList` - the list to save or update
      Returns:
        the saved list

    - #### get

          public List<ImporterStatusDto> get()

      Specified by:
        `get` in interface `IImporterStatusListDao`
      Returns:
        the list of `ImporterStatusDto`

    - #### delete

          public boolean delete()

      Description copied from interface: `IImporterStatusListDao`
      Delete the saved list of `ImporterStatusDto`
      Specified by:
        `delete` in interface `IImporterStatusListDao`
      Returns:
        true if the deletion is successful or nothing was saved (no list are still saved)

    - #### setImporterConfig

          public void setImporterConfig(ImporterConfig importerConfig)

      Parameters:
        `importerConfig` - the importerConfig to set

Copyright © 2015. All rights reserved.